Skip to main content
POST
/
creators
/
collabs
/
{collabId}
Update Collab
curl --request POST \
  --url https://unified-api.creatorcommerce.shop/creators/collabs/{collabId} \
  --header 'Content-Type: application/json' \
  --header 'x-channel-access-token: <api-key>' \
  --data '
{
  "myshopifyDomain": "cc-collabs-sandbox.myshopify.com",
  "email": "kenyon+test48548sep641@creatorcommerce.shop",
  "firstName": "Meptio",
  "isOnboarded": true,
  "lastName": "Zebra",
  "collabTier": "688d99d950696f7c412b385a",
  "affiliateCode": "CODE2",
  "handle": "taptio-123456789",
  "affiliateUrl": "https://kenyon1.com",
  "discount": {
    "discountAmount": 80,
    "discountType": "Percentage"
  },
  "custom": {
    "cc-ken-short-form": "mcdonals",
    "cc-cc-ken-long-form": "bk"
  }
}
'
{
  "collab": {
    "discount": {
      "discountAmount": 0,
      "discountType": "Percentage"
    },
    "_id": "68d482d502627cba69150a33",
    "channel": "67a93e156cc51f6c4e878e0c",
    "creator": "68d4828e02627cba69144aa2",
    "__v": 0,
    "affiliateCode": "CODE2",
    "affiliateUrl": "https://kenyon1.com",
    "collabTier": "688d99d950696f7c412b385a",
    "createdAt": "2025-09-24T23:46:29.094Z",
    "drops": [
      "68d4bd5c7796e248a07dfbf2",
      "68d4be997796e248a07dfc1a",
      "68d4bf4b7796e248a07dfc2f"
    ],
    "isPartial": false,
    "relationshipManager": "creatorcommerce",
    "updatedAt": "2025-09-25T20:46:41.420Z",
    "collabStartedAt": "2025-09-24T23:46:31.304Z",
    "metadata": {
      "shopifyCreatorCollectionId": "gid://shopify/Collection/501615329567",
      "shopifyCreatorMetaobjectId": "gid://shopify/Metaobject/169337094431"
    }
  }
}

Authorizations

x-channel-access-token
string
header
required

Channel or partner access token (x-channel-access-token or x-partner-access-token)

Path Parameters

collabId
string
required

The collab ID

Example:

"68d482d502627cba69150a33"

Body

application/json
myshopifyDomain
string
email
string<email>

Optional creator email field to update on the collab's creator. Not used as a replacement lookup for collabId.

firstName
string
lastName
string
isOnboarded
boolean
collabTier
string
affiliateCode
string
handle
string
affiliateUrl
string
discount
object
profilePicture
primaryColor
string
title
string
custom
object

Response

200 - application/json

Successfully updated collab

collab
object